Bug 64134 - Move innerTextElement() from RenderTextControl to HTMLTextFormControlHTMLTextFormControlElement
Summary: Move innerTextElement() from RenderTextControl to HTMLTextFormControlHTMLText...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ryosuke Niwa
URL:
Keywords:
Depends on: 64133
Blocks: 47865 60403
  Show dependency treegraph
 
Reported: 2011-07-07 16:52 PDT by Ryosuke Niwa
Modified: 2011-07-11 12:06 PDT (History)
7 users (show)

See Also:


Attachments
Patch (14.12 KB, patch)
2011-07-08 15:07 PDT, Ryosuke Niwa
tkent: review+
tkent: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2011-07-07 16:52:18 PDT
Now that shadow DOM no longer hangs off of renderer, it seems more natural for HTMLTextFormControl instead of RenderTextControl to have inner*Element().
Comment 1 Ryosuke Niwa 2011-07-08 15:07:14 PDT
Created attachment 100167 [details]
Patch
Comment 2 Ryosuke Niwa 2011-07-08 15:08:57 PDT
Comment on attachment 100167 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=100167&action=review

> Source/WebCore/ChangeLog:14
> +        shadow DOM for input and textarea elements clear. It accessing shadow DOM of input and textarea elements
> +        are now less error-prone because it doesn't depend on the lifetime of the render tree.

Oops, typo.  It should read "Accessing the shadow DOM of input and textarea elements are now less error prone because it no longer depends on the lifetime of the render tree".
Comment 3 Kent Tamura 2011-07-08 16:44:12 PDT
Comment on attachment 100167 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=100167&action=review

> Source/WebCore/rendering/RenderTextControl.h:56
> +    HTMLElement* innerTextElement() const;

Let's add a comment that this function should not be public.
Otherwise, one who doesn't know the intention of this patch might make it public and revert the AccessibilityRenderObject.cpp change.
Comment 4 Ryosuke Niwa 2011-07-08 16:47:44 PDT
Comment on attachment 100167 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=100167&action=review

>> Source/WebCore/rendering/RenderTextControl.h:56
>> +    HTMLElement* innerTextElement() const;
> 
> Let's add a comment that this function should not be public.
> Otherwise, one who doesn't know the intention of this patch might make it public and revert the AccessibilityRenderObject.cpp change.

That makes sense.
Comment 5 Ryosuke Niwa 2011-07-08 16:48:20 PDT
Now that r90662 has been reverted, I'd have to reland the patch for the bug 64133 first.
Comment 6 Ryosuke Niwa 2011-07-11 12:06:40 PDT
Committed r90775: <http://trac.webkit.org/changeset/90775>